/*
** Module   : MenuItemWidget.java
** Abstract : server side menu item widget implementation
**
** Copyright (c) 2014-2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --JPRM-- ----------------------------Description-----------------------------
** 001 VIG 20141118          Created initial version.
*/
package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * This class represents menu widget.
 */
@LegacyResource(resource = LegacyResource.MENU_ITEM)
public class MenuItemWidget
extends GenericWidget<MenuItemConfig>
{
   /**
    * Default constructor.  
    * 
    * @param    dynamic
    *           Flag indicating if this is a static or dynamic resource.
    */
   public MenuItemWidget(boolean dynamic)
   {
      super(dynamic, new MenuItemConfig());
   }

}